commandwindow
clear
clc
z0=0
t0=0
dz=0.2
dt=0.01
zf=2
tf=0.1
c=1.79
r=c*(dt)/dz^2

n=(zf-z0)/dz
m=(tf-t0)/dt

z=[z0:dz:zf]
t=[t0:dt:tf]

u=zeros(m+1,n+1)
u(1:m+1,1)=0
u(1,1:n+1)=2*(z.^3)
u(1:m+1,n+1)=16
for j=1:m
    i=2:n
    u(j+1,i)= (r*u(j,(i+1)))+(1-2*r)*u(j,i)+(r*u(j,(i-1)))
end
u'
mesh(z,t,u)
zlabel=('distance')
tlabel=('time')


    

